BOOTCTL(1)

NAMN
bootctl — Styr den fasta EFI-programvarans startinställningar och hantera startladdaren

SYNOPSIS

bootctl [FLAGGOR…] {KOMMANDO}

BESKRIVNING

bootctl kan undersöka den fasta EFI-programvarans och startladdarens status, lista och hantera tillgängliga startladdare och poster i startladdaren, och installera, uppdatera eller ta bort startladdaren systemd-boot(7) på det aktuella systemet.

GENERISKA FAST EFI-PROGRAMVARAS/STARTLADDARES KOMMANDON

Dessa kommandon är tillgängliga på alla EFI-system, oavsett vilken startladdare som används.

status
    Visar en kort information om systemets fasta programvara, startladdaren som användes för att starta systemet, startladdarna som är tillgängliga i ESP:n, startladdarna som listas i den fasta programvarans lista över startladdare och den startladdare som just nu är standardpost. Om inget kommando anges är detta det underförstådda standardvalet.

    Se exemplet nedan för detaljer om utdatan.

    Tillagd i verson 239.

reboot-to-firmware [BOOL]
    Fråga om eller sätt flaggan ”Reboot-Into-Firmware-Setup” i den fasta EFI-programvaran. Tar ett booleskt argument som styr huruvida uppsättningen av fast programvara skall visas vid nästa omstart. Om argumentet utelämnas visas den aktuella statusen för flaggan, eller huruvida flaggan stödjs. Detta styr samma flagga som systemctl reboot --firmware-setup, men är mer lågnivå och tillåter inställning av flaggan utan att faktiskt begära en omstart.

    Tips: använd systemctl reboot --firmware-setup för att starta om in i uppsättningen av fast programvara en gång. See systemctl(1) för detaljer.

    Tillagd i version 251.

KOMMANDON FÖR SPECIFIKATION AV STARTLADDAREN

Dessa kommandon är tillgängliga för alla startladdare som implementerar Startladdarspecifikationen[1], såsom systemd-boot.

list
    Visar alla tillgängliga startladdarposter som implementerar Startladdarspecifikationen[1], liksom andra poster som upptäckts av eller automatiskt genererats av en startladdare som implementerar Startladdargränssnittet[2]. JSON-utdata kan begäras med --json=.

    Se exemplet nedan för detaljer om utdatan.

    Tillagd i verson 239.

unlink ID
    Tar bort en startladdarpost inklusive filerna den refererar till. Tar ID-sträng eller ett glob-mönster för en startladdarpost ID som argument. Refererade filer såsom kärna eller initrd tas bort endast om ingen annan post refererar till dem.

    Tillagd i version 253.

cleanup
    Tar bort filer från ESP- och XBOOTLDR-partitionerna som tillhör postelementet men inte refereras i några startladdarposter.

    Tillagd i version 253.

KOMMANDON FÖR GRÄNSSNITTET TILL STARTLADDAREN

Dessa kommandon är tillgängliga för alla startladdare som implementerar Startladdarspecifikationen[1] och Startladdargränssnittet[2], såsom systemd-boot.

set-default ID, set-oneshot ID
    Ställer in standardstartladdarposten. Tar ett ensamt sträng-ID för en startladdarpost eller ett glob-mönster som argument. Kommandot set-oneshot kommer ställa in standardposten endast för nästa uppstart, set-default kommer sätta den varaktigt för alla framtida uppstarter.

    bootctl list kan användas för att lista tillgängliga startladdarposter och deras ID:n.

    Utöver det kan startladdarpostens ID anges som en av: @default, @oneshot eller @current, vilket motsvarar den nuvarande standardinställningen av startladdarpost för alla framtida starter, den nuvarande standardinställningen av startladdarpost för nästa start och den just nu startade startladdarposten. Dessa special-ID:n slås upp som de nuvarande värden av EFI-variablerna LoaderEntryDefault, LoaderEntryOneShot och LoaderEntrySelected, se Startladdarspecifikationen[1] för detaljer. Dessa special-ID:n är primärt användbara som ett snabbt sätt att göra den nu startade startladdarposten till standardval, eller för att uppgradera standardvärdet på startladdarposten för nästa uppstart till standardvärdet på startladdarposten för alla framtida starter, men kan användas för andra åtgärder också.

    Om det sätts till @saved kommer den valda posten att sparas som en EFI-variabel vid varje start och automatiskt väljas nästa gång startladdaren startas.

    När en tom sträng ("") anges som ID:t, då kommer motsvarande EFI-variabel nollställas.

    Tips: använd systemctl reboot --boot-loader-entry=ID för att starta om till en viss startpost och systemctl reboot --boot-loader-menu=tidsgräns för att starta om till startladdarmenyn en gång. Se systemctl(1) för detaljer.

    Tillagd i version 240.

set-timeout TIDSGRÄNS, set-timeout-oneshot TIDSGRÄNS
    Sätter tidsgränsen för startladdarmenyn i sekunder. Kommandot set-timeout-oneshot kommer sätta tidsgränsen endast för nästa start. Se systemd.time(7) för detaljer om syntaxen för tidsintervall.

    Om detta är satt till menu-disabled eller menu-hidden eller 0 visas ingen meny och standardposten kommer startas direkt, medan att sätta detta till menu-force avaktiverar tidsgränsen och visar alltid menyn. När en tom sträng ("") anges kommer startladdaren återgå till sitt standardvärde för menyns tidsgräns.

    Tillagd i version 250.

SYSTEMD-BOOT-KOMMANDON

Dessa kommandon hanterar EFI-startladdaren systemd-boot, och fungerar inte tillsammans med andra startladdare.

install
    Installerar systemd-boot i EFI-systempartitionen. En exemplar av systemd-boot kommer att lagras som EFI standard-/reservladdare på ESP/EFI/BOOT/BOOT*.EFI. Startladdaren läggs sedan till längst upp i den fasta programvarans lista över startladdare.

    Tillagd i verson 239.

update
    Uppdaterar alla installerade versioner av systemd-boot(7), om den tillgängliga versionen är nyare än versionen som är installerad i EFI-systempartitionen. Detta inkluderar även EFI standard-/reservladdaren på ESP/EFI/BOOT/BOOT*.EFI. Startladdaren läggs sedan till på slutet av den fasta programvarans lista över startladdare om den saknas.

    Tillagd i verson 239.

remove
    Tar bort alla installerade versioner av systemd-boot från EFI-systempartitionen och den fasta programvarans lista över startladdare.

    Tillagd i verson 239.

is-installed
    Kontrollerar huruvida systemd-boot är installerat i ESP:n. Observera att en enskild ESP kan vara värd för flera startladdare; detta kontrollerar alltså huruvida systemd-boot är en (av möjligen flera) installerade startladdare — och inte vare sig huruvida det är standardladdaren eller huruvida den är registrerad i några EFI-variabler.

    Tillagd i version 243.

random-seed
    Genererar ett slumptalsfrö och lagrar det i EFI-systempartitionen (ESP), att användas av startladdaren systemd-boot. Om ett slumpfrö redan finns i ESP:n uppdateras det. Genererar även en slump-“systemsymbol“ och lagrar den beständigt som en EFI-variabel, om inte någon har ställts in tidigare. Om startladdaren hittar slumpfröet i ESP:n och systemsymbolen i EFI-variabeln kommer den härleda ett slumpfrö att skicka till OS:et och ett nytt frö att lagra i ESP:n från kombinationen av båda. Slumpfröet som skickas till OS:et tillgodogörs kärnans entropipool av systemhanteraren under den tidiga uppstarten, och möjliggör för användarrymden att starta upp med en entropipool som är fullt initierad mycket tidigt. Se även systemd-boot-random-seed.service(8).

    Se Slumpfrön[3] för ytterligare information.

    Tillagd i version 243.

KÄRNAVBILDSKOMMANDON

kernel-identify kärna
    Tar en kärnavbild som argument. Kontrollerar vilken sorts kärna avbilden är. Returnerar en av ”uki”, ”addon”, ”pe” och ”unknown”.

    Tillagd i version 253.

kernel-inspect kärna
    Tar en kärnavbild som argument. Skriver ut detaljer om avbilden.

    Tillagd i version 253.

FLAGGOR

Följande flaggor är kända:

--esp-path=
    Sökväg till EFI-systempartitionen (ESP). Om det inte anges kontrolleras i tur och ordning /efi/, /boot/ och /boot/efi/. Det rekommenderas att montera ESP:n som /efi/, om möjligt.

--boot-path=
    Sökväg till den utökade startladdarpartitionen, så som den definieras i Startladdarspecifikationen[1]. Om det inte anges kontrolleras /boot/. Det rekommenderas att montera den uökade startladdarpartitionen som /boot/ om möjligt.

--root=rot
    Tar en katalogsökväg som argument. Alla sökvägar kommer föregås av den givna alternativa rotsökvägen, inklusive konfigurationssökvägar.

    Tillagd i version 252.

--image=avbild
    Tar en sökväg till en diskavbildsfil eller blockenhetsnod. Om angivet görs alla åtgärder på filsystemet i den indikerade diskavbilden. Denna flagga liknar --root=, men arbetar på ett filsystem lagrat i diskavbilder eller blockenheter. Diskavbilden skall antingen innehålla bara ett filsystem eller ett antal filsystem inom en GPT-partitionstabell, i enlighet med Specifikation av upptäckbara partitioner[4]. För ytterligare information om diskavbilder som stödjs, se flaggan med samma namn till systemd-nspawn(1).

    Tillagd i version 252.

--image-policy=policy
    Tar en avbildspolicysträng som argument, enligt systemd.image-policy(7). Policyn upprätthålls vid åtgärder på diskavbilden som anges via --image=, se ovan. Om det inte anges används standardpolicyn ”*”, d.v.s. alla kända filsystem i diskavbilden används.

--install-source=
    Vid installation av binärer med --root= eller --image=, väljer var källan till dem kommer ifrån. Tar en av ”auto” (standard), ”image” eller ”host”. Med ”auto” kommer binärer plockas från den angivna katalogen eller avbilden, och om de inte finns där kommer de plockas från värden. Med ”image” eller ”host” faller man inte tillbaka vid sökningen om binärerna inte finns i den valda källan.

    Tillagd i version 252.

-p, --print-esp-path
    Denna flagga ändrar beteendet hos status. Skriver bara ut sökvägen till EFI-systempartitionen (ESP) till standard ut och avslutar.

    Tillagd i version 236.

-x, --print-boot-path
    Denna flagga ändrar beteendet hos status. Skriver bara ut sökvägen till den utökade startladdaren om den finns och sökvägen till ESP:n annars, till standard ut och avslutar. Detta kommando är användbart för att avgöra var startladdarposter skall placeras, eftersom de med fördel placeras i den utökade startladdarpartitionen om den finns och i ESP:n i annat fall.

    Startladdarspecifikationens poster av typ 1 skall generellt placeras i katalogen ”$(bootctl -x)/loader/entries/”. Förekomsten av den katalogen kan även användas som en indikation att stöd för startladdarposter är tillgängligt på systemet. På motsvarande sätt skall po, startladdarspecifikationens poster av typ 2 placeras i katalogen ”$(bootctl -x)/EFI/Linux/”.

    Observera att denna flagga (i likhet med flaggan --print-esp-path omnämnd ovan) är tillgänglig oavsett vilken startladdare som används, d.v.s. även utan att systemd-boot är installerat.

    Tillagd i version 242.

--print-loader-path
    Denna flagga ändrar beteendet hos status; det visar den absoluta sökvägen till startladdar-EFI-binären som använts för den aktuella uppstarten om denna information finns tillgänglig. Observera att inget försök görs för att verifiera huruvida binären fortfarande finns.

    Tillagd i version 257.

--print-stub-path
    Denna flagga ändrar beteendet hos status: det visar den absoluta sökvägen till UKI-/stubb-EFI-binären som använts för den aktuella uppstarten om denna information finns tillgänglig. Observera att inget försök görs för att verifiera huruvida binären fortfarande finns.

    Tillagd i version 257.

-R, --print-root-device
    Skriv ut sökvägen till blockenhetsnoden som hyser rotfilsystemet för det lokala OS:et. Detta skriver ut en sökväg såsom /dev/nvme0n1p5. Om rotfilsystemet hanteras av dm-crypt/LUKS eller dm-verity returneras den underliggande blockenheten. Om rotfilsystemet hanteras av flera blockenheter (som btrfs stödjer) kommer åtgärden misslyckas. Om flaggan anges två gånger (d.v.s. -RR) och den funna blockenheten är en partitionsenhet bestäms och skrivs ”hela” blockenheten den tillhör ut (t.ex. /dev/nvme0n1). Om rotfilsystemt är ”tmpfs” (eller ett liknande minnesfilsystem) returneras blockenheten som hanterar /usr/ om tillämpligt. Om rotfilsystemet är ett nätverksfilsystem (t.ex. NFS, CIFS) kommer åtgärden misslyckas.

    Tillagd i version 254.

--no-variables
    Rör inte den fasta programvarans lista över startladdare som är lagrad i EFI-variabler.

    Tillagd i version 220.

--random-seed=yes|no
    Som standard initierar kommandot install en fil med ett slumptalsfrö i ESP:n. När en avbild skapas kan det vara önskvärt att avaktivera det för att undvika att ha samma frö i alla instanser.

    Tillagd i version 257.

--graceful
    Ignorera misslyckandet när EFI-systempartitionen inte finns, när EFI-variabler inte kan skrivas eller en annan eller nyare startladdare redan är installerad. För närvarande är det bara tillämpligt på verben is-installed, update och random-seed.

    Tillagd i version 244.

-q, --quiet
    Undertryck utskrift av resultaten från olika kommandon och även tipsen om att ESP:n inte är tillgänglig.

    Tillagd i version 251.

--make-entry-directory=yes|no
    Styr skapandet och raderandet av katalogen med poster Startladdarspecifikationen[1] type 1 på filsystemet som innehåller resurser såsom kärnan och initrd-avbilder under install respektive remove. Katalogen namnges efter postens symbol, så som den specificeras parametern --entry-token= som beskrivs nedan, och placeras omedelbart nedanför rotkatalogen i $BOOT (d.v.s. nedanför filsystemet som returneras av flaggan --print-boot-path, se ovan). Standardvärdet är ”no”.

    Tillagd i version 251.

--entry-token=
    Styr hur startladdarposter för denna OS-installation namnges och identifieras. Accepteras under install, och tar en av värdena ”auto”, ”machine-id”, ”os-id”, ”os-image-id” eller en godtycklig sträng som föregås av ”literal:” som argument.

    Om satt till machine-id namnges posterna efter maskin-ID för det körande systemet (t.ex. ”b0e793a9baf14b5fa13ecbe84ff637ac”). Se machine-id(5) för detaljer om begreppet och filen maskin-ID.

    Om satt till os-id namnges posterna efter OS ID för det körande systemet, d.v.s. fältet ID= i os-release(5) (t.ex. ”fedora”). På liknande sätt, om satt till os-image-id namnges posterna efter OS:ets avbilds-ID för det körande systemet, d.v.s. fältet IMAGE_ID= i os-release (t.ex. “vendorx-cashier-system“).

    Om satt till auto (standard), läses filen /etc/kernel/entry-token om den finns, och det lagrade värdet. Annars, om den lokala maskinens ID är initierat används det. Annars kommer IMAGE_ID= från os-release användas, om det är satt. Annars kommer ID= från os-release användas, om det är satt.

    Om inte satt till ”machine-id”, eller när --make-entry-directory=yes används skrivs den valda symbolsträngen till en fil /etc/kernel/entry-token, för att säkerställa att den kommer användas till framtida poster. Denna fil läses även av kernel-install(8), för att identifiera under vilket namn poster för startladdare skall genereras för nyinstallerade kärnor, eller för att bestämma postnamnen för att ta bort gamla.

    Att använda maskin-ID för att namnge posterna är i allmänhet att föredra, dock finns det fall där att använda identifierare är ett bra alternativ. Specifikt: om identifikationsdatan som maskin-ID innebär inte får lagras på (den okrypterade) partitionen $BOOT, eller om ID:t skall genereras vid första start och inte är känt när posterna förbereds. Observera att använda maskin-ID har fördelen att flera parallella installationer av samma OS kan samexistera på samma medium, och de kan uppdatera sina startladdarposter oberoende av varandra. När en annan identifierare (såsom OS-ID:t eller OS-avbildens ID), skulle parallella installationer av samma OS försöka använda samma postnamn. För att stödja parallella installationer måste installeraren använda en annan postsymbol när en andra installation läggs till.

    Tillagd i version 251.

--all-architectures
    Installera binärer för alla stödda EFI-arkitekturer (detta implicerar --no-variables).

    Tillagd i version 252.

--efi-boot-option-description=
    Beskrivning av posten som lades till i den fasta programvarans startalternativlista. Som standard ”Linux Boot Manager”.

    Att använda standardpostnamnet ”Linux Boot Manager” är i allmänhet att föredra eftersom endast en startladdare installerad på en enda ESP-partition skall användas för att starta godtyckligt antal OS-installationer som finns på de olika diskarna som är installerade i systemet. Specifikt skall distributioner inte använda denna flagga för att installera varumärkesposter i startalternativlistan. Dock kan det i situationer med flera diskar, var och en med sin egen ESP-partition, vara fördelaktigt att göra det enklare att identifiera startladdaren som används i den fasta programvarans startalternativmeny.

    Tillagd i version 252.

--dry-run
    Kör torrsim av unlink och cleanup.

    I torrsimsläge skriver åtgärderna unlink och cleanup endast ut filerna som skulle ha raderats utan att faktiskt radera dem.

    Tillagd i version 253.

--secure-boot-auto-enroll=yes|no, --private-key=SÖKVÄG/URI, --private-key-source=TYP[:NAMN], --certificate=SÖKVÄG, --certificate-source=TYP[:NAMN]
    Konfigurera ESP:n för automatregistrering för säker start när kommandot install anropas. Tar ett booleskt argument. Avaktiverat som standard. Aktivering av denna flagga kommer göra att bootctl utrustar ESP:n med signerade ”PK”-, ”KEK”- och ”db”-signaturdatabaser, var och en innehållande det angivna certifikatet i ”DER”-format som deras enda post. Dessa signaturdatabaser för säker start kommer plockas fram och utrustas av systemd-boot om säker uppstart är i inställningsläge och automatregistrering av säker start är aktiverat.

    När man anger denna flagga måste ett certifikat och en privat nyckel också ges med flaggorna --certificate= och --private-key=. Flaggan --certificate= tar en sökväg till ett PEM-kodat X.509-certifikat eller en URI som skickas vidare till OpenSSL-leverantör som är konfigurerad med --certificate-source vilken tar en av ”file” eller ”provider”, där den senare följs av en specifik leverantörsidentifierare, separerad med ett kolon, t.ex. ”provider:pkcs11”. Flaggan --private-key= kan ta en sökväg eller en URI som kommer skickas till OpenSSL-motorn eller -leverantören, såsom angivits med --private-key-source= som en tupel ”type:name”, såsom ”engine:pkcs11”. Den angivna OpenSSL-signeringsmotorn eller -leverantören kommer användas för att signera EFI-signaturlistorna.

    Tillagd i version 257.

--no-pager
    Skicka inte utdata i ett rör till en bläddrare.

--json=LÄGE
    Visar utdata formaterad som JSON. Förväntar sig en av ”short” (för den kortaste möjliga utdatan utan några reduntanta mellanslag eller nyrader), ”pretty” (för en snygg version av detsamma, med indentering och nyrader) eller ”off” (för att slå av JSON-utdata, standardvärdet).

-h, --help
    Skriv en kort hjälptext och avsluta.

--version
    Skriv en kort versionssträng och avsluta .

SIGNERADE .EFI-FILER

bootctl install och update kommer titta efter en systemd-boot-fil som slutar med suffixet ”.efi.signed” först, och kopiera den istället för den normala ”.efi”-filen. Detta gör att distributioner eller slutanvändare kan tillhandahålla signerade avbilder för UEFI SecureBoot.

SLUTSTATUS

Vid lyckat resultat returneras 0, en nollskild felkod annars. bootctl --print-root-device returnerar slutstatusen 80 ifall rotfilsystemet inte hanteras av en enda blockenhet, och andra nollskilda slutstatusar vid andra fel.

MILJÖ

Om $SYSTEMD_RELAX_ESP_CHECKS=1 är satt lättas valideringskontrollerna för ESP:n, och sökvägen som anges med --esp-path= får referera till ett filsystem av godtycklig sort på en partition av godtycklig sort.

På liknande sätt slår $SYSTEMD_RELAX_XBOOTLDR_CHECKS=1 av några valideringskontroller för den utökade startladdarpartitionen.

EXEMPEL

Exempel 1. Utdata från status och list

    $ bootctl status
    System:
         Firmware: UEFI 2.40 (programversion)    ← leverantör och version av fast programvara
      Secure Boot: disabled (setup)              ← status för säker uppstart
     TPM2 Support: yes
     Boot into FW: supported                     ← stödjer den fasta programvaran att starta till sig själv

    Current Boot Loader:                         ← detaljer om sd-boot eller en annan startladdare
          Product: systemd-boot version            implementerar Startladdargränssnittet[2]
         Features: ✓ Boot counting
                   ✓ Menu timeout control
                   ✓ One-shot menu timeout control
                   ✓ Default entry control
                   ✓ One-shot entry control
                   ✓ Support for XBOOTLDR partition
                   ✓ Support for passing random seed to OS
                   ✓ Load drop-in drivers
                   ✓ Boot loader sets ESP information
                   ✓ Menu can be disabled
              ESP: /dev/disk/by-partuuid/01234567-89ab-cdef-dead-beef00000000
             File: └─/EFI/systemd/systemd-bootx64.efi

    Random Seed:                                 ← slumpfrö använt för entropi i tidig start
     Passed to OS: yes
     System Token: set
           Exists: yes

    Available Boot Loaders on ESP:
              ESP: /boot/efi (/dev/disk/by-partuuid/01234567-89ab-cdef-dead-beef00000000)
             File: └─/EFI/systemd/systemd-bootx64.efi (systemd-boot 251
             File: └─/EFI/BOOT/BOOTX64.EFI (systemd-boot 251

    Boot Loaders Listed in EFI Variables:
            Title: Linux Boot Manager
               ID: 0x0001
           Status: active, boot-order
        Partition: /dev/disk/by-partuuid/…
             File: └─/EFI/systemd/systemd-bootx64.efi

            Title: Fedora
               ID: 0x0000
           Status: active, boot-order
        Partition: /dev/disk/by-partuuid/…
             File: └─/EFI/fedora/shimx64.efi

            Title: Linux-Firmware-Updater
               ID: 0x0002
           Status: active, boot-order
        Partition: /dev/disk/by-partuuid/…
             File: └─/EFI/fedora/fwupdx64.efi

    Boot Loader Entries:
            $BOOT: /boot/efi (/dev/disk/by-partuuid/01234567-89ab-cdef-dead-beef00000000)

    Default Boot Loader Entry:
             type: Boot Loader Specification Type #1 (.conf)
            title: Fedora Linux 36 (Workstation Edition)
               id: …
           source: /boot/efi/loader/entries/startsymbol-kärnversion.conf
          version: kärnversion
       machine-id: …
            linux: /startsymbol/kärnversion/linux
           initrd: /startsymbol/kärnversion/initrd
          options: root=…

    $ bootctl list
    Boot Loader Entries:
             type: Boot Loader Specification Type #1 (.conf)
            title: Fedora Linux 36 (Workstation Edition) (default) (selected)
               id: …
           source: /boot/efi/loader/entries/startsymbol-kärnversion.conf
          version: kärnversion
       machine-id: …
            linux: /startsymbol/kärnversion/linux
           initrd: /startsymbol/kärnversion/initrd
          options: root=…

             type: Boot Loader Specification Type #2 (.efi)
            title: Fedora Linux 35 (Workstation Edition)
               id: …
           source: /boot/efi/EFI/Linux/fedora-kärnversion.efi
          version: kärnversion
       machine-id: …
            linux: /EFI/Linux/fedora-kärnversion.efi
          options: root=…

             type: Automatic
            title: Reboot Into Firmware Interface
               id: auto-reboot-to-firmware-setup
           source: /sys/firmware/efi/efivars/LoaderEntries-4a67b082-0a4c-41cf-b6c7-440b29bb8c4f

I listningen anger ”(default)” posten som kommer användas som standard, och ”(selected)” anger posten som valdes senaste gången (d.v.s. den kör just nu).

SE ÄVEN

systemd-boot(7), Startladdarspecifikation[1], Startladdargränssnitt[2], systemd-boot-random-seed.service(8)

NOTERINGAR

1.  Startladdarspecifikation
    https://uapi-group.org/specifications/specs/boot_loader_specification

2.  Startladdargränssnitt
    https://systemd.io/BOOT_LOADER_INTERFACE

3.  Slumpfrön
    https://systemd.io/RANDOM_SEEDS

4.  Specifikation av upptäckbara partitioner
    https://uapi-group.org/specifications/specs/discoverable_partitions_specification

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.